Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

Get audit log

GET/workspaces/{organizationId}/audit-log/{id}
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (Authorization: Bearer <key>). Issue keys under Settings → Developer or POST /workspaces/{organizationId}/tokens.

Path parameters
organizationIdstringrequired
idstringrequired
Responses
200

Audit log entry

idstringrequired
organizationIdstringrequired
actorIdstring | nullrequired
actorTypestring | nullrequired
actionstringrequired
entityTypestringrequired
entityIdstringrequired
changesobject | nullrequired
ipstring | nullrequired
countrystring | nullrequired
userAgentstring | nullrequired
createdAtstringrequired
404

Audit log entry not found

Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://pile.nyc/workspaces/string/audit-log/string' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "id": "string",
  "organizationId": "string",
  "actorId": "string",
  "actorType": "string",
  "action": "string",
  "entityType": "string",
  "entityId": "string",
  "changes": {
    "property1": null,
    "property2": null
  },
  "ip": "string",
  "country": "string",
  "userAgent": "string",
  "createdAt": "string"
}

Was this page helpful?